> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook



## OpenAPI

````yaml /openapi/tms.json put /webhooks/{id}
openapi: 3.0.3
info:
  title: Universal TMS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://tms.universal.rollout.com/api
security: []
paths:
  /webhooks/{id}:
    put:
      tags:
        - Webhooks
      summary: Update Webhook
      operationId: putWebhooksById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                  enum:
                    - Active
                    - Disabled
                event:
                  type: string
                filters:
                  type: object
                  additionalProperties:
                    type: object
                    properties:
                      equals:
                        type: string
                    required:
                      - equals
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                  enum:
                    - Active
                    - Disabled
                event:
                  type: string
                filters:
                  type: object
                  additionalProperties:
                    type: object
                    properties:
                      equals:
                        type: string
                    required:
                      - equals
          multipart/form-data:
            schema:
              type: object
              properties:
                url:
                  type: string
                status:
                  type: string
                  enum:
                    - Active
                    - Disabled
                event:
                  type: string
                filters:
                  type: object
                  additionalProperties:
                    type: object
                    properties:
                      equals:
                        type: string
                    required:
                      - equals
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - Active
                      - Disabled
                  event:
                    type: string
                  url:
                    type: string
                  filters:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        equals:
                          type: string
                      required:
                        - equals
                required:
                  - id
                  - status
                  - event
                  - url
                  - filters
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - Requested resource was not found.
                required:
                  - errorMessage
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - >-
                        Data for this credential is not ready yet. Please try
                        again.
                required:
                  - errorMessage
        '423':
          description: >-
            423 Locked — the credential is temporarily frozen by an operator.
            Reads still work; POST/PATCH/PUT/DELETE are rejected until it is
            unfrozen. Unlike 424 (invalid credential), do not re-authenticate —
            retry later.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                      required:
                        - message
                required:
                  - errors
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.